//
//  CardMatchingGame.h
//  FlipCard
//
//  Created by Sameh Fakhouri on 9/10/15.
//  Copyright (c) 2015 Lehman College. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Deck.h"

@interface CardMatchingGame : NSObject

- (instancetype)initWithCardCount:(NSUInteger) count
                        usingDeck:(Deck *) deck;

- (void)chooseCardAtIndex:(NSUInteger) index;
- (Card *)cardAtIndex:(NSUInteger) index;

@property (nonatomic, readonly) NSUInteger score;

@end
